Subject: Re: Newbie questions
From: [email-masked] (Benjamin Riefenstahl)

7 Feb 1998 07:03:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Silas,

Silas S. Brown wrote:
> 1.  Why don't functions like strlwr() seem to be included?  They're
> in the standard (I think).

No. PC compilers all have inherited this one from MS C.

> 2.  Why does mkdir() have a second integer parameter? - I've never
> seen this on any other compiler.

Because Cygnus tries for as much Unix compatibility as possible. The
original Unix mkdir() has this second parameter to specify the
permissions for the new directory. DOS didn't have directory
permissions, so this one got left out by MS C. I think you can specify
0777 for this (an octal bit field meaning all users have all access).

> 3.  ... I tried
> searching all of the include files for a few functions (like
> midiOutOpen) but couldn't find them.  Is this because the set is
> incomplete? 

Yes.

> Is there anywhere where one can download the Microsoft
> header files, and can these then be used?

No. MS doesn't write standard C header files. Either the headers or the
compiler needs to be adapted.

> 4.  When I try using Cygnus to write a CGI "script", MS Internet
> Services complains that "The script misbehaved by returning an
> incomplete set of headers".

Could this be a \n vs \r\n problem? In other words is the line end now
\n only and does it work if you try to use \r\n as the line ends?

so long, benny
======================================
Benjamin Riefenstahl ([email-masked])
Crocodial Communications EntwicklungsGmbH
Ophagen 16a, D-20257 Hamburg, Germany
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".